import { CompletionFunc } from '@pnpm/command';
import { Config } from '@pnpm/config';
import { CreateStoreControllerOptions } from '@pnpm/store-connection-manager';
export declare function rcOptionsTypes(): Pick<any, never>;
export declare const cliOptionsTypes: () => {
    recursive: BooleanConstructor;
};
export declare function help(): string;
export declare const commandNames: string[];
export declare const completion: CompletionFunc;
export declare function handler(opts: CreateStoreControllerOptions & Pick<Config, 'allProjects' | 'allProjectsGraph' | 'bail' | 'bin' | 'dev' | 'engineStrict' | 'globalPnpmfile' | 'hooks' | 'ignorePnpmfile' | 'linkWorkspacePackages' | 'lockfileDir' | 'optional' | 'pnpmfile' | 'production' | 'rawLocalConfig' | 'registries' | 'rootProjectManifest' | 'saveDev' | 'saveOptional' | 'saveProd' | 'selectedProjectsGraph' | 'workspaceDir'> & {
    recursive?: boolean;
}, params: string[]): Promise<void>;
