import { Config } from '@pnpm/config';
import { CreateStoreControllerOptions } from '@pnpm/store-connection-manager';
import { cliOptionsTypes, rcOptionsTypes } from './install';
export { cliOptionsTypes, rcOptionsTypes };
export declare const commandNames: string[];
export declare function help(): string;
export declare function handler(opts: CreateStoreControllerOptions & Pick<Config, 'allProjects' | 'allProjectsGraph' | 'bail' | 'bin' | 'engineStrict' | 'hooks' | 'linkWorkspacePackages' | 'selectedProjectsGraph' | 'rawLocalConfig' | 'registries' | 'rootProjectManifest' | 'pnpmfile' | 'workspaceDir'> & {
    recursive?: boolean;
}, params: string[]): Promise<import("@pnpm/core").UpdatedProject | undefined>;
